
QGIS Application - Bug report #20604

QGIS crashed

2018-11-23 11:29 AM - Emese Soltész

Status: Closed

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:3.4.1 Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 28424

Description

User Feedback

My QGIS crashes all the time. I was adding new line features before and then I added a new polygon feature and then now I tried to add a

ring. A random crash like this happened with me in the past few days more than 5-6 times a day. I have no idea if I am doing something

wrong or my laptop is not capable of running the program. 

Dell Latitude E6430, Windows 7

Report Details

Crash ID: 9bc0371d12a0020387a1191fddbb061ea5ebe77a

Stack Trace

QgsPointXY::QgsPointXY :

QgsAdvancedDigitizingDockWidget::alignToSegment :

QgsRubberBand::addPoint :

QgsMapToolCapture::cadCanvasMoveEvent :

QgsMapCanvas::mouseMoveEvent :

QWidget::event :

QFrame::event :

QGraphicsView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :
QGIS Info

QGIS Version: 3.4.1-Madeira

QGIS code revision: commit:383851c597

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2018-11-23 12:34 PM - Giovanni Manghi

- Priority changed from Normal to High

- Status changed from Open to Feedback

Please try with a new/clean profile (no 3rd party plugins).

#2 - 2019-02-11 04:12 AM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
